# GimpUi.prop_hscale_new

    @accepts(GObject.Object, unicode, float, float, int)
    @returns(Gtk.Widget)
    def prop_hscale_new(config, property_name, step_increment, page_increment, digits):
        # Python wrapper for gimp_prop_hscale_new()

Creates a horizontal scale to control the value of the specified integer or double property.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of integer or double property controlled by the scale.

step_increment

  Step size.

page_increment

  Page size.

digits

  Number of digits after decimal point to display.

Returns